From 4a204f76eecb6261dc08f6677e278538ff8a9e6b Mon Sep 17 00:00:00 2001
From: Daniele Varrazzo <daniele.varrazzo@gmail.com>
Date: Wed, 20 Mar 2013 11:21:44 +0000
Subject: [PATCH 1/2] Fixed MultiXactIds string warning

There are two different pairs of strings to be translated:

    "database \"%s\" must be vacuumed before %u more MultiXactId are used",
    "database \"%s\" must be vacuumed before %u more MultiXactIds are used",

and:

    "database with OID %u must be vacuumed before %u more MultiXactId are used",
    "database with OID %u must be vacuumed before %u more MultiXactIds are used",

Dropped the singular versions, which seem an oversight.
---
 src/backend/access/transam/multixact.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/access/transam/multixact.c b/src/backend/access/transam/multixact.c
index 9f804f7..69e8546 100644
--- a/src/backend/access/transam/multixact.c
+++ b/src/backend/access/transam/multixact.c
@@ -1980,14 +1980,14 @@ SetMultiXactIdLimit(MultiXactId oldest_datminmxid, Oid oldest_datoid)
 
 		if (oldest_datname)
 			ereport(WARNING,
-					(errmsg("database \"%s\" must be vacuumed before %u more MultiXactId are used",
+					(errmsg("database \"%s\" must be vacuumed before %u more MultiXactIds are used",
 							oldest_datname,
 							multiWrapLimit - curMulti),
 					 errhint("To avoid a database shutdown, execute a database-wide VACUUM in that database.\n"
 							 "You might also need to commit or roll back old prepared transactions.")));
 		else
 			ereport(WARNING,
-					(errmsg("database with OID %u must be vacuumed before %u more MultiXactId are used",
+					(errmsg("database with OID %u must be vacuumed before %u more MultiXactIds are used",
 							oldest_datoid,
 							multiWrapLimit - curMulti),
 					 errhint("To avoid a database shutdown, execute a database-wide VACUUM in that database.\n"
-- 
1.7.9.5

